Node('ma6.stick.sea.psi.ch',
     'MA6 standard sample stick',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'SEA stick connection',
    config='ma6.stick',
    service='stick',
)

Mod('ts',
    'frappy_psi.sea.SeaReadable',
    'sample stick temperature',
    io='sea_stick',
    json_file='ma6.config.json',
    sea_object='tt',
    rel_paths=['ts', 'setsamp'],
    meaning=['temperature', 30],
)


"""
Mod('ts',
    'frappy_psi.parmod.Converging',
    'drivable stick T using setsamp',
    meaning=['temperature', 25],
    unit='K',
    read='tsam.value',
    write='tsam.setsamp',
    settling_time=20,
    tolerance=1,
)
"""
